<?php
namespace Plugin\View;

use Plugin\Exception\Error;
class View {
	private $content;
	
	public function getContent(){
		return $this->content;
	}
	
	public function setContent($content){
		$this->content = $content;
	}
	
	public static function getView($path,$vars = array()){
		$content = "";
		$view = new LocalView();
		$filename = ROOT_DIR."{$path}";
		if (file_exists($filename)){
			if (!is_array($vars)){
				Error::throw500("Variable passed in $path is not an array:\n\n".print_r($vars,true));
			}
			extract($vars);
			ob_start();
			include($filename);
			$content = ob_get_clean();
		}else {
			Error::throw500("The template you selected does not exist:\n\n$path");
		}
		$viewer = new self();
		$viewer->setContent($content);
		return $viewer;
		
	}
}