<?php
namespace src\Blog\Main\Controller;

use Plugin\Server\Response;
use Plugin\Controller\Container;
use Plugin\Exception\Error;

class HomeController extends Container{
	
	public function indexAction(){
		$this->setSlots("selected","home");
		$this->setSlots("title", "A blog built entirely from scratch - Scratchblog");
		$em = $this->getManager();
		$render = "Blog:Main:Home/homepage.html.php";
		
		$articles = $em->get("Blog:Model:Article")->getLatestArticles();
		$vars = array("articles"=>$articles);
		
		return $this->render("Blog:Main:index.html.php",array("render"=>$render,"content"=>$vars));
	}
	
	
	public function readAction($title){
		$em =  $this->getManager();
		
		$render = "Blog:Main:Home/article.html.php";
		$article = $em->get("Blog:Model:Article")->getArticleByTitle($title);
		
		if (!$article) {
			Error::throw404("This article does not exist");
		}
		$vars = array("article"=>$article);
		$this->setSlots("title", htmlentities($article->title));
		
		return $this->render("Blog:Main:index.html.php",array("render"=>$render,"content"=>$vars));
		
	}
	
	public function aboutAction(){
		$this->setSlots("title", "About Me - Scratchblog.com");
		$this->setSlots("selected","about");
		$render = "Blog:Main:Home/about.html.php";
		
		return $this->render("Blog:Main:index.html.php",array("render"=>$render,"content"=>array()));
	}
	
}